libzypp: zypp::callback::DistributeReport< TReport > Struct Template Reference

libzypp 17.25.10

Public Types | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
zypp::callback::DistributeReport< TReport > Struct Template Reference

`#include <Callback.h>`

## Public Types
typedef TReport | ReportType
typedef ReceiveReport< TReport > | Receiver
typedef DistributeReport< TReport > | Distributor

## Public Member Functions
Receiver * | getReceiver () const
void | setReceiver (Receiver &rec_r)
void | unsetReceiver (Receiver &rec_r)
void | noReceiver ()
Receiver * | operator-> ()

## Static Public Member Functions
static DistributeReport & | instance ()

## Private Member Functions
| DistributeReport ()

## Private Attributes
Receiver | _noReceiver
Receiver * | _receiver

## Detailed Description

template<class TReport>
struct zypp::callback::DistributeReport< TReport >

Definition at line 197 of file Callback.h.

## Member Typedef Documentation

## ◆ ReportType

template<class TReport >

typedef TReport zypp::callback::DistributeReport< TReport >::ReportType

Definition at line 200 of file Callback.h.

## ◆ Receiver

template<class TReport >

typedef ReceiveReport<TReport> zypp::callback::DistributeReport< TReport >::Receiver

Definition at line 201 of file Callback.h.

## ◆ Distributor

template<class TReport >

typedef DistributeReport<TReport> zypp::callback::DistributeReport< TReport >::Distributor

Definition at line 202 of file Callback.h.

## Constructor & Destructor Documentation

## ◆ DistributeReport()

template<class TReport >

zypp::callback::DistributeReport< TReport >::DistributeReport | ( |  | ) |
| inlineprivate

Definition at line 227 of file Callback.h.

## Member Function Documentation

## ◆ instance()

template<class TReport >

static DistributeReport& zypp::callback::DistributeReport< TReport >::instance | ( |  | ) |
| inlinestatic

Definition at line 204 of file Callback.h.

## ◆ getReceiver()

template<class TReport >

Receiver* zypp::callback::DistributeReport< TReport >::getReceiver | ( |  | ) | const
| inline

Definition at line 210 of file Callback.h.

## ◆ setReceiver()

template<class TReport >

void zypp::callback::DistributeReport< TReport >::setReceiver | ( | Receiver & | rec_r | ) |
| inline

Definition at line 213 of file Callback.h.

## ◆ unsetReceiver()

template<class TReport >

void zypp::callback::DistributeReport< TReport >::unsetReceiver | ( | Receiver & | rec_r | ) |
| inline

Definition at line 216 of file Callback.h.

## ◆ noReceiver()

template<class TReport >

void zypp::callback::DistributeReport< TReport >::noReceiver | ( |  | ) |
| inline

Definition at line 219 of file Callback.h.

## ◆ operator->()

template<class TReport >

Receiver* zypp::callback::DistributeReport< TReport >::operator-> | ( |  | ) |
| inline

Definition at line 223 of file Callback.h.

## Member Data Documentation

## ◆ _noReceiver

template<class TReport >

Receiver zypp::callback::DistributeReport< TReport >::_noReceiver
| private

Definition at line 230 of file Callback.h.

## ◆ _receiver

template<class TReport >

Receiver* zypp::callback::DistributeReport< TReport >::_receiver
| private

Definition at line 231 of file Callback.h.

The documentation for this struct was generated from the following file:

- zypp/Callback.h